Skip to main content
GET
/
policies
List my policies
curl --request GET \
  --url https://api.example.com/policies
{
  "total": 123,
  "offset": 123,
  "limit": 123,
  "data": [
    {
      "claimsHistory": [
        {
          "year": 123,
          "claimsNumber": 123,
          "fleetSize": 123
        }
      ],
      "owners": [
        {
          "userId": "<string>",
          "email": "<string>",
          "roles": [
            {
              "productId": "<string>",
              "roleId": "<string>"
            }
          ]
        }
      ],
      "type": "<string>",
      "id": "<string>",
      "productId": "<string>",
      "createdAt": "<string>",
      "lastModifiedAt": "<string>",
      "status": "POLICY_CREATED",
      "assets": [
        "<string>"
      ],
      "periodDuration": {
        "amount": 123,
        "unit": "YEAR"
      },
      "invoicingConfig": {
        "frequency": "YEARLY",
        "timing": "IN_ADVANCE",
        "billAtSignature": "EARLY_PAYMENT"
      },
      "customFields": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ],
      "name": "<string>",
      "parent": "<string>",
      "brokerageFirm": "<string>",
      "incrementalId": 123,
      "externalId": "<string>",
      "branchType": "BASE",
      "signedAt": "<string>",
      "startedAt": "<string>",
      "endedAt": "<string>",
      "stoppedAt": "<string>",
      "suspendedAt": "<string>",
      "customer": "<string>",
      "acceptedEmailDomains": [
        "<string>"
      ],
      "maximumNumberOfBikes": 123,
      "brokerageFees": [
        {
          "brokerageFirmId": "<string>",
          "fee": 50
        }
      ]
    }
  ]
}

Query Parameters

whenAt
string

Optional: the whenAt datetime

simulatedAt
string

Optional: the simulatedAt datetime

branchId
string

Optional: the branchId

productId
string
required

The productId

offset
number
default:0

the pagination offset

pageSize
number
default:50

the pagination page size

signed
boolean

retrieve only signed policies

brokerageFirmId
string

list policies of a specific brokerage firm (requires the permission brokerage-firm:policies:list-all)

Response

200 - application/json
total
number
required

Total number of policies

offset
number
required

Offset used for pagination

limit
number
required

Page size used for pagination

data
object[]
required

List of policies